Announcements

Help us improve the Power & Sensing Selection Guide. Share feedback

Tip / Sign in to post questions, reply, level up, and achieve exciting badges. Know more

cross mob
SpacedCowboy
Level 1
Level 1
First question asked Welcome!

Hi.

Is there anywhere with some step-by-step directions for how to install the FX3 USB3 SDK on an M1 Mac ? Following the "Using the FX3 SDK under Mac OS" which I originally found at dtsheet.com and subsequently in the distribution itself but a few things don't really work.

  • The instructions to compile elf2img on one line fail complaining about arguments. This isn't hard to work around by splitting the compile line into 2 (compile '.c' then link '.o'). 
  • Once I try to run the application though, it crashes if I double-click on it...

Screen Shot 2022-03-29 at 5.42.27 PM.png

  • Running it from Terminal (I installed everything into /opt/cypress)...

@elysium:eclipse pwd

/opt/cypress/eclipse

@elysium:eclipse % ./ezUsbSuite.app/Contents/MacOS/ezUsbSuite 

2022-03-29 17:44:25.874 ezUsbSuite[6633:179912] CheckForInstalledJavaRuntimes: Please visit http://www.java.com for information on installing java.

  • I have then tried to install several JDKs, none of which seem to have helped. I tried:
    • brew install openjdk
    • Oracle Java 7SE
    • Another I can't recall off the top of my head.

None of them, though, could get me past runtimes install check, despite me being able to run java from Terminal.app

So, what do I need to do to get Eclipse to launch ? 🙂 

 

edit: I tried some more JDKs from azul.com :

  • Java 7 and 8 both fail to load a system library. This is possibly an issue with the JDK though
  • Java 11 and 18 (there is no 9 or 10) fail due to an Eclipse incompatibility with reflection

 

0 Likes
1 Solution
Biren_R
Moderator
Moderator
Moderator
First question asked First like given 250 sign-ins

Hello,

We have a solution for this, please follow the below stapes to resolve this error.

- To find out the exact error go to FX3_SDK_1.3.4_MacOS/eclipse/ezUsbSuite.app/Contents/MacOS and run ./ezUsbSuite
It will either run or throw an error getting the missing library. jdk1.8.0_281.jdk’s libserver.dylib.

- Follow the below steps if you are also getting the same error

    1. Install jdk1.8.0_281 (or the same version as the error message)
    2. Now go to /Library/Java/JavaVirtualMachines/jdk<version>/Contents/Home/lib and create a softlink for the missing library by using the below command
      sudo ln -s ../jre/lib/server/libjvm.dylib libserver.dylib​
    3. Run the application.

Best Regards,
Biren

View solution in original post

2 Replies
Biren_R
Moderator
Moderator
Moderator
First question asked First like given 250 sign-ins

Hello,

- Looks like a problem with eclipse 8.3.0 with mac M1, we did not test SDK with M1 we will test and get back to you.

- And maybe you can use this SDK without eclipse and just use some other editor and compile using command line.

Best Regards,
Biren

0 Likes
Biren_R
Moderator
Moderator
Moderator
First question asked First like given 250 sign-ins

Hello,

We have a solution for this, please follow the below stapes to resolve this error.

- To find out the exact error go to FX3_SDK_1.3.4_MacOS/eclipse/ezUsbSuite.app/Contents/MacOS and run ./ezUsbSuite
It will either run or throw an error getting the missing library. jdk1.8.0_281.jdk’s libserver.dylib.

- Follow the below steps if you are also getting the same error

    1. Install jdk1.8.0_281 (or the same version as the error message)
    2. Now go to /Library/Java/JavaVirtualMachines/jdk<version>/Contents/Home/lib and create a softlink for the missing library by using the below command
      sudo ln -s ../jre/lib/server/libjvm.dylib libserver.dylib​
    3. Run the application.

Best Regards,
Biren